import Vue from "vue";

import ElementUI from "element-ui";

import "element-ui/lib/theme-chalk/index.css";
import "es6-promise/auto";

import App from "./App.vue";
import RootRouter from "./routers";
import store from "./store";

import "~/assets/css/common.css";

import i18n from "./lang";
import CustomComponent from "./components";
import VueFunc from "./utils/vuefunc";
import "./permission";

window.SUCCESS = "AAAAAA";

Vue.use(ElementUI, { size: "small", i18n: (key, value) => i18n.t(key, value) });
Vue.use(CustomComponent);
Vue.use(VueFunc);

new Vue({
  el: "#app",
  store,
  i18n,
  router: RootRouter,
  render: (h) => h(App),
});
